## idesk 0.7.5

=== debian/changelog ===
idesk (0.7.5-5) unstable; urgency=low

  * QA upload.
    - Move to packaging format "3.0 (quilt)".
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * src/DesktopConfig.cpp
    - Restore original upstream/0.7.5 and move changes to patch 20.
      See 0.7.5-4.2 and FTBFS fix #624983.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Description): Add paragraph break.
    - (Maintainer): Set to QA group.
    - (Standards-Version): Update to 3.9.4
    - (Sugggest): New; x11-utils, due to use of xmessage in examples.
  * debian/copyright
    - Update to format 1.0.
  * debian/idesk.menu
    - (section): Update to "Applications/System/Administration"
      (Closes: #587682).
  * debian/patches:
    - (10): New. Change from Xdialog to xmessage (Closes: #552572).
    - (20): New. FTBFS fix from previous Debian release.
  * debian/rules
    - Update to dh(1).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 15 Mar 2013 08:27:26 +0200

idesk (0.7.5-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: DesktopConfig.cpp:134:40: error: no matching function for call
    to 'stat::stat(const char*, stat*)'": apply patch from brian m. carlson:
    include the sys/stat.h header.
    Closes: #624983, #591363
    LP: #592602

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Oct 2011 14:17:13 +0200

idesk (0.7.5-4.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/chnagelog
    - Delete EOL whitespaces.
  * debian/compat
    - Update from deprecated 4 to 7 (W: Lintian).
  * debian/control
    - (Build-Depends): update obsolete xutils to xutils-dev (important;
      Closes: #575657). Update to debhelper 7. Add autotools-dev due to
      config.* commads in debian/rules. Delete EOL whitespaces.
    - (Depends): Add ${misc:Depends} for debhelper (W: Lintian).
    - (Standards-Version): Update to 3.8.4.
  * debian/rules
    - (install): Update "dh_clean -k" to dh_prep (W: Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 May 2010 10:10:52 +0300

idesk (0.7.5-4) unstable; urgency=low

  * Updated with Standards-Version 3.7.3
  * Added the Homepage field inside the source stanza on debian/control.
  * Added the dependency to the libxt-dev package for xorg transition.
  * Cleaned the debian/copyright file with minor details.
  * Added a debian/watch file.
  * Changed the debian/idesk.menu to point to the correct section.

 -- Anibal Avelar <aavelar@cofradia.org>  Sun, 10 Feb 2008 19:03:39 -0500

idesk (0.7.5-3) unstable; urgency=low

  * debian/control: - update standards version.
  * Fixed an error in manpage. Thanks to Martin Michlmayr.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Tue, 13 Jun 2006 23:27:39 -0500

idesk (0.7.5-2) unstable; urgency=low

  * Fixed the poor grammar in description, closes: #351474
  * Fixed an error in examples/default.lnk file. The path was wrong.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sun, 12 Feb 2006 23:27:39 -0500

idesk (0.7.5-1) unstable; urgency=low

  * New upstream version.
  * Problem with startup notification support (option --enable-libsn). The
   idesk-0.7.4 chrashes after starting xmms. This bug was reported by Gentoo
   users. If you don't have the support for statup notification the program
   works well. The bug was fixed.
  * When you click with mouse either for reload Idesk or run a program, and
  you don't move the mouse of position then all icons stay with a glow effect
  how they had obtained the focus (all in the same time), they back to the
  normal state if you pass the mouse through the each icon. The bug was solved.
  * Fixed other minor bugs.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sat, 21 Jan 2006 22:27:39 -0500

idesk (0.7.4-2) unstable; urgency=high

  * Fixed the problem with the desktop background, closes: #338281
  * Fixed other minor bugs.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sun, 13 Nov 2005 3:27:39 -0500

idesk (0.7.4-1) unstable; urgency=low

  * New upstream version.
  * Many new features (how a complete image background support).
  * Support for Esetroot.
  * Fixed many other minor bugs.
  * Fixed a problem with the Idesk source (configure.in file) for avoid the xlibs-dev packages dependencies.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Wed, 2 Nov 2005 11:46:39 -0500

idesk (0.7.3-2) unstable; urgency=low

  * Fix idesk should be arch: any, closes: #316263
  * Fix error in examples/default.lnk file. The path was wrong.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Wed, 29 Jun 2005 23:33:39 -0500

idesk (0.7.3-1) unstable; urgency=low

  * New upstream release, closes: #291932
  * Fixed the older bug for graphical glitch (repeatable), (Closes: #227019)
  * Fixed many other bugs. Fixed the bug, when the Caption attribute is empty
    string. Fixed the problem with SnapShadow has the true value.
  * The SVG support was remove because not implemented in Imlib2 yet.
  * Added the GNU configure and build system for Idesk.
  * Porting from Imlib to Imlib2 ready.
  * Etc.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Wed, 28 Jun 2005 23:33:39 -0500

idesk (0.5.6-4) unstable; urgency=high

  * Fix error in manpage. Thanks to Jari. (Closes: #270950)
    This is a minor bug, but I hope this will enter Sarge too.

 -- Thorsten Sauter <tsauter@debian.org>  Sat, 11 Sep 2004 00:05:34 +0200

idesk (0.5.6-3) unstable; urgency=medium

  * Rebuild with libtiff4 support. (Closes: #262815)
  * Uploading with urgency=medium for libtiff4/sarge transition
  * Fix unquoted strings in debian/idesk.menu file

 -- Thorsten Sauter <tsauter@debian.org>  Tue,  3 Aug 2004 10:32:45 +0200

idesk (0.5.6-2) unstable; urgency=low

  * Update standards version.

 -- Thorsten Sauter <tsauter@debian.org>  Wed, 22 Oct 2003 21:52:36 +0200

idesk (0.5.6-1) unstable; urgency=low

  * New upstream version.

