=== debian/control ===
Source: idesk
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: autotools-dev, xutils-dev, debhelper (>= 9), libimlib2-dev, libxft-dev, libxt-dev
Homepage: http://idesk.sourceforge.net
Standards-Version: 3.9.4

Package: idesk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: x11-utils
Description: program to show icons on the desktop
 Idesk displays icons with a short description on the desktop and gives
 shortcuts to launch any X app.
 .
 The icons can be resized, use tooltip and has transparency with other
 nice image efects. It can use many images types formats how PNG, JPG,
 GIF, XPM, etc. Idesk also allows the binding of different actions
 to every mouse button.
