=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_configure:
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	dh_auto_configure

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess config.cache/status

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

%:
	dh $@

# End of file
