=== debian/changelog ===
idesk (0.7.8-0.1~mx25+1) mx; urgency=medium

  * trixie build

 -- Dolphin Oracle <dolpihnoracle@gmail.com>  Sat, 29 Mar 2025 14:23:43 -0700
 

idesk (0.7.8-0.1~mx23+1) mx; urgency=medium

  * New upstream release.
  * d/rules: enable svg support.
  * d/control: add librsvg2-dev to build-deps.
  * Refresh patches.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 May 2023 15:53:02 -0700

idesk (0.7.5-7) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS against newer imlib2, use pkg-config. Closes: #1018029
  * Lintian:
    Clean up trailing whitespace in control file.
    Set Rules-Requires-Root: no.
    Use https URIs.
    Update watchfile.
    Use dh v13 compat.
  * Run wrap-and-sort -ast.
  * 40_cross.patch by Helmut Grohne: Fixes FTCBFS related to incorrect
    pkg-config usage. Closes: #915558

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Dec 2022 15:24:08 +0100

idesk (0.7.5-6) unstable; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 3.9.6.
  * Using dh-autoreconf now.
  * debian/control:
      - Fixed some issues on Build-Depends.
      - Little improvements in long description.
      - Updated the upstream homepage.
  * debian/copyright: updated all data.
  * debian/docs: added the AUTHORS file.
  * debian/rules:
      - Removed some trash.
      - Removed the override_dh_auto_configure and override_dh_auto_clean
        because dh-autoreconf makes them useless now.
      - Removed the override_dh_installchangelogs because all upstream
        changelog files are automatically installed by default.
  * debian/watch: fixed and improved.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Tue, 06 Oct 2015 19:51:56 -0300
