=== debian/control ===
Source: idesk
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libimlib2-dev,
               libxft-dev,
               libxt-dev,
               pkg-config,
               xutils-dev
Homepage: https://sourceforge.net/projects/idesk/
Rules-Requires-Root: no
Standards-Version: 3.9.6

Package: idesk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: x11-utils
Description: program to show icons on the desktop
 Idesk displays icons with a short description on the desktop and gives
 shortcuts to launch any X app.
 .
 The icons can be resized, use tooltip and has transparency with other
 nice image effects. It can use many images types formats how PNG, JPG,
 GIF, XPM, etc. Idesk also allows the binding of different actions to
 every mouse button.
